libdvbv5 1.24.1 Library to work with Digital TV devices on Linux

Data Structures | Macros | Typedefs | Functions
dvb-scan.h File Reference
Digital TV frontend scan

Provides interfaces to scan programs inside MPEG-TS digital TV streams. More...

`#include <stdint.h>`
`#include <linux/dvb/dmx.h>`
`#include <libdvbv5/descriptors.h>`
`#include <libdvbv5/dvb-sat.h>`

Go to the source code of this file.

## Data Structures
struct | dvb_v5_descriptors_program
| Associates PMT with PAT tables. More...
struct | dvb_v5_descriptors
| Contains the descriptors needed to scan the Service ID and other relevant info at a MPEG-TS Digital TV stream. More...
struct | dvb_table_filter
| Describes the PES filters used by DVB scan. More...

## Macros
#define | MAX_TABLE_SIZE

## Typedefs
typedef int() | check_frontend_t(void *args, struct dvb_v5_fe_parms *parms)
| Callback for the application to show the frontend status. More...

## Functions
void | dvb_table_filter_free (struct dvb_table_filter *sect)
| deallocates all data associated with a table filter More...
int | dvb_read_section (struct dvb_v5_fe_parms *parms, int dmx_fd, unsigned char tid, uint16_t pid, void **table, unsigned timeout)
| read MPEG-TS tables that comes from a DTV card More...
int | dvb_read_section_with_id (struct dvb_v5_fe_parms *parms, int dmx_fd, unsigned char tid, uint16_t pid, int ts_id, void **table, unsigned timeout)
| read MPEG-TS tables that comes from a DTV card with an specific table section ID More...
int | dvb_read_sections (struct dvb_v5_fe_parms *parms, int dmx_fd, struct dvb_table_filter *sect, unsigned timeout)
| read MPEG-TS tables that comes from a DTV card More...
struct dvb_v5_descriptors * | dvb_scan_alloc_handler_table (uint32_t delivery_system)
| allocates a struct dvb_v5_descriptors More...
void | dvb_scan_free_handler_table (struct dvb_v5_descriptors *dvb_scan_handler)
| frees a struct dvb_v5_descriptors More...
struct dvb_v5_descriptors * | dvb_get_ts_tables (struct dvb_v5_fe_parms *parms, int dmx_fd, uint32_t delivery_system, unsigned other_nit, unsigned timeout_multiply)
| Scans a DVB stream, looking for the tables needed to identify the programs inside a MPEG-TS. More...
void | dvb_free_ts_tables (struct dvb_v5_descriptors *dvb_desc)
| frees a struct dvb_v5_descriptors More...
struct dvb_v5_descriptors * | dvb_scan_transponder (struct dvb_v5_fe_parms *parms, struct dvb_entry *entry, int dmx_fd, check_frontend_t *check_frontend, void *args, unsigned other_nit, unsigned timeout_multiply)
| Scans a DVB dvb_add_scaned_transponder. More...
void | dvb_add_scaned_transponders (struct dvb_v5_fe_parms *parms, struct dvb_v5_descriptors *dvb_scan_handler, struct dvb_entry *first_entry, struct dvb_entry *entry)
| Add new transponders to a dvb_file. More...

## Detailed Description

Provides interfaces to scan programs inside MPEG-TS digital TV streams.

Copyright
  GNU Lesser General Public License version 2.1 (LGPLv2.1)

Author
  Mauro Carvalho Chehab

Bug Report
  Please submit bug reports and patches to linux.nosp@m.-med.nosp@m.ia@vg.nosp@m.er.k.nosp@m.ernel.nosp@m..org

Definition in file dvb-scan.h.

## Macro Definition Documentation

## ◆ MAX_TABLE_SIZE

#define MAX_TABLE_SIZE

Definition at line 39 of file dvb-scan.h.